# KDE-Benutzerhandbuch

&Lauri.Watts; &Lauri.Watts.mail;
2010-10-06
K Desktop Environment
kate
1

# `kate`

Erweiterter Texteditor für &kde;

    kate -s, --start  name  --startanon -n, --new -b, --block -p, --pid pid -e, --encoding  name -l, --line  line -c, --column  column -i, --stdin -u, --use Allgemeine KDE-Optionen Allgemeine Qt-Optionen

## Beschreibung

&kate; ist der erweiterte Texteditor für &kde;.

&kate; stellt unter dem Namen &kwrite; außerdem den Editor für verschiedene Anwendungen bereit.

Einige der vielen Funktionen von &kate; sind Quelltexthervorhebungen für Programmiersprachen von C und C++ über HTML bis zu Bash-Skripten, die Möglichkeit, Projekte zu erstellen und zu verwalten, eine Schnittstelle zum Multi-Dokument-Interface MDI und ein eingebauter Terminalemulator.

&kate; ist jedoch mehr als nur ein Texteditor für Programmierer. Die Möglichkeit, viele Dateien gleichzeitig zu öffnen macht &kate; zu einem idealen Texteditor für die unzähligen Konfigurationsdateien von &UNIX;. Auch dieses Dokument wurde in &kate; geschrieben.

## Optionen

`-s`, `--start` name

  Started &kate; mit der angegebenen Sitzung.

`--startanon`

  &kate; mit einer neuen, anonymen Sitzung starten. Impliziert `-n`.

`-n`, `--new`

  &kate; in einer neuen Instanz starten. Dies wird ignoriert, wenn `start` benutzt wird und eine andere Instanz von &kate; die angegebene Sitzung geöffnet hat. Wenn keine Parameter oder URLs angegeben sind, wird dieses Verhalten erzwungen.

`-b`, `--block`

  Wenn eine bereits laufende Instanz von &kate; benutzt wird, wird diese blockiert, solange die angegebene URL geöffnet ist.

`-p, --pid` pid

  Versucht nur die Instanz von &kate; mit der PID wiederzuverwenden. Dies wird ignoriert, wenn `start` benutzt wird und eine andere Instanz von &kate; die angegebene Sitzung geöffnet hat.

`-e, --encoding` name

  Kodierung für die zu öffnende Datei festlegen

  Sie können diese Option benutzen, um das Öffnen eines Dokuments beispielsweise im utf-8-Format, zu erzwingen. (Der Befehl `iconv -l` gibt eine Liste der Kodierungen aus. Das kann hilfreich sein.)

`-l, --line` Zeile

  Bewegt den Cursor zur angegebenen Zeile

`-c, --column` Spalte

  Bewegt den Cursor zur angegebenen Spalte

`-i, --stdin`

  Liest den Inhalt von `stdin`

`-u, --use`

  Benutzt eine bereits laufende Instanz von &kate;. Dieses Verhalten ist das Standardverhalten, diese Option existiert nur aus Kompatibilitätsgründen.

## Weitere Informationen finden Sie unter

Zusätzliche Informationen finden Sie unter help:/kate (geben Sie entweder diese URL in &konqueror; ein, oder starten Sie den Befehl ``khelpcenter` `help:/kate``).

Außerdem finden Sie weiterführende Informationen auf der &kate;-Webseite.

## Beispiele

Um ein Dokument mit dem Namen `source.cpp` in einem schon laufenden &kate;-Fenster zu öffnen und den Cursor auf die Spalte 15 in der Zeile 25 zu setzen, können Sie den folgenden Befehl benutzen:

    kate -c 15 -l
    25 -u source.cpp

Wenn Sie eine aktive Internetverbindung haben, dann können Sie die Möglichkeiten von &kde; benutzen, Dokumente über ein Netzwerk zu auf einem FTP-Server zu öffnen, ohne dass dazu besondere Bedienhandlungen nötig sind. Wenn Sie auf dem entfernten Server keine Schreibberechtigung haben, dann wird das Dokument im Nur-Lese-Modus geöffnet und &kate; fragt nach einem Namen, unter dem das Dokument nach Änderungen lokal gespeichert werden soll. Wenn Sie die nötigen Schreibberechtigungen haben, dann wird das Dokument einfach auf dem Server gespeichert.

    kate ftp://ftp.kde.org/pub/kde/README

## Autoren

Der Betreuer von &kate; ist &Christoph.Cullmann; &Christoph.Cullmann.mail;. Eine ausführliche Liste der Autoren und Helfer finden Sie im oben genannten kompletten Benutzerhandbuch.